#pragma once
#include "afxwin.h"


// CComFileDlg dialog

class CComFileDlg : public CDialog
{
	DECLARE_DYNAMIC(CComFileDlg)

public:
	CComFileDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CComFileDlg();

	CString GetPCFile( void ) const { return m_pcFile; };
	CString GetTerminalFile( void ) const { return m_terminalFile; };
	bool	GetContinueOnNotAvail( void ) const { return m_bContOnNotAvail; };
	int		GetDownloadType( void ) const {return m_nDownloadType;};

	void	SetSendFileToTerminal( bool bPcToTerminal ) { m_bPcToTerminal = bPcToTerminal;}
// Dialog Data
	enum { IDD = IDD_DIALOG1 };

protected:
	CButton * m_pBtnDownType[ 4 ];
	CString m_pcFile;
	CString m_terminalFile;
	bool	m_bContOnNotAvail;
	bool	m_bPcToTerminal;
	int		m_nDownloadType;

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

	// Generated message map functions
	virtual BOOL OnInitDialog();
public:
	afx_msg void OnBnClickedButton1();
	CEdit m_edtPcFile;
	CEdit m_edtTerminalFile;
protected:
	virtual void OnOK();
};
